PaidGoods
API referenceMarketing

Runs of an automation, with their step log

GET
/v1/stores/{storeId}/marketing/automations/{automationId}/runs

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
automationId*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 200
Default25
state?string
Default"all"

Value in

  • "all"
  • "running"
  • "completed"
  • "cancelled"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/marketing/automations/string/runs"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",      "email": "string",      "triggerRefType": "string",      "triggerRefId": "string",      "currentStepIndex": -9007199254740991,      "state": "running",      "nextRunAt": "string",      "createdAt": "string",      "logs": [        {          "stepIndex": -9007199254740991,          "state": "sent",          "reason": "string",          "createdAt": "string"        }      ]    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  }}